# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IMethodInfo

Packages that use IMethodInfo
Package
Description
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.scripts

## Uses of IMethodInfo in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core that return IMethodInfo
Modifier and Type
Method
Description
`IMethodInfo`
UserPropertyDefn.`getMethodInfo()`
User-defined methods are not supported.

## Uses of IMethodInfo in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IMethodInfo
Modifier and Type
Method
Description
`IMethodInfo`
IPropertyDefinition.`getMethodInfo()`
Returns the method information of this property.
`IMethodInfo`
PropertyDefinition.`getMethodInfo()`
`IMethodInfo[]`
IReportItem.`getMethods(String methodName)`
Returns the method info list of extension elements.
`IMethodInfo[]`
ReportItem.`getMethods(String methodName)`

## Uses of IMethodInfo in org.eclipse.birt.report.model.api.metadata

Subinterfaces of IMethodInfo in org.eclipse.birt.report.model.api.metadata
Modifier and Type
Interface
Description
`interface`
`ITemplateMethodInfo`
Represents the method information that can provide code template.
Classes in org.eclipse.birt.report.model.api.metadata that implement IMethodInfo
Modifier and Type
Class
Description
`class`
`MethodInfo`
Represents the method information for both class and element.
Methods in org.eclipse.birt.report.model.api.metadata that return IMethodInfo
Modifier and Type
Method
Description
`IMethodInfo`
ClassInfo.`getConstructor()`
Returns the constructor definition.
`IMethodInfo`
IClassInfo.`getConstructor()`
Returns the constructor definition.
`IMethodInfo`
ClassInfo.`getMethod(String name)`
Get the method definition given the method name.
`IMethodInfo`
IClassInfo.`getMethod(String name)`
Get the method definition given the method name.
`IMethodInfo`
IElementPropertyDefn.`getMethodInfo()`
Returns the method information of this property.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IMethodInfo
Modifier and Type
Method
Description
`List<IMethodInfo>`
IMetaDataDictionary.`getFunctions()`
Returns the function list.
`List<IMethodInfo>`
ClassInfo.`getMethods()`
Returns the method definition list.
`List<IMethodInfo>`
IClassInfo.`getMethods()`
Returns the method definition list.
Methods in org.eclipse.birt.report.model.api.metadata with parameters of type IMethodInfo
Modifier and Type
Method
Description
`protected void`
ClassInfo.`addMethod(IMethodInfo methodInfo)`
Adds one method definition to this class definition.
`protected void`
ClassInfo.`setConstructor(IMethodInfo constructor)`
Adds constructor since some class has more than one constructor with different arguments.

## Uses of IMethodInfo in org.eclipse.birt.report.model.api.scripts

Classes in org.eclipse.birt.report.model.api.scripts that implement IMethodInfo
Modifier and Type
Class
Description
`class`
`ConstructorInfo`
Represents the method information for both class and element.
`class`
`MethodInfo`
Represents the method information for both class and element.
`class`
`TemplateMethodInfo`
Represents the method information that can provide code snippet as the template.
Methods in org.eclipse.birt.report.model.api.scripts that return IMethodInfo
Modifier and Type
Method
Description
`protected IMethodInfo`
ClassInfo.`createConstructorInfo(Constructor classMethod)`
`protected IMethodInfo`
ClassInfo.`createMethodInfo(Method classMethod)`
`IMethodInfo`
ClassInfo.`getConstructor()`
Returns the constructor definition.
`IMethodInfo`
ClassInfo.`getMethod(String name)`
Get the method definition given the method name.